package com.blueland.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.blueland.bo.Org;
import com.blueland.bo.PubOrgEntity;

import java.util.List;

/**
 * @auther xcy
 * @create 2022-05-09 15:56
 */
public interface IPubOrgService extends IService<PubOrgEntity> {

    PubOrgEntity findOrgById(String id);

    List<Org> getListNoPage(Org org);

    PubOrgEntity get(PubOrgEntity bo);

    Page<PubOrgEntity> findPage(PubOrgEntity bo);

    List<PubOrgEntity> findList(PubOrgEntity bo);
}
